<?php
Class Musume_model extends Model
{
	function Musume_model()
	{
		parent::Model();
		$this->load->database();
	}

	//メンバー一覧を得る
	function get_member_list()
	{
		$this->db->order_by('jun');
		$query = $this->db->get('morningmusume');
		return $query->result();
	}


	//乱数で画像ファイル名を生成する sayumi101.jpgからsayumi154.jpgまで
	function generate_photo_name()
	{
		mt_srand();
		$num = mt_rand(101,154);
		$file_name = 'sayumi'.$num.'.jpg';
		return $file_name;
	}

	//渡された年月日から本日現在の年齢を計算する。
	function nenrei($ymd)
	{
		$now = date('Ymd');
		$nenrei_y =floor(($now-$ymd)/10000);
		$y = floor($ymd / 10000);
		$md= $ymd - $y * 10000;
		$nenrei_md = date('md') - $md;
		if ($nenrei_md < 0) {
			$nenrei_md = $nenrei_md + 1200;
		}
		$nenrei_m = floor($nenrei_md / 100);
		$age = $nenrei_y.'歳'.$nenrei_m.'ヶ月';
		return $age;
	}

	//渡された年月日から本日現在までの年月を計算する。
	function nengetsu($ymd)
	{
		$now = date('Ymd');
		$nenrei_y =floor(($now-$ymd)/10000);
		$y = floor($ymd / 10000);
		$md= $ymd - $y * 10000;
		$nenrei_md = date('md') - $md;
		if ($nenrei_md < 0) {
			$nenrei_md = $nenrei_md + 1200;
		}
		$nenrei_m = floor($nenrei_md / 100);
		$age = $nenrei_y.'年'.$nenrei_m.'ヶ月';
		return $age;
	}

	//渡された加入日から本日現在の在籍日数を計算する。
	function zaiseki_dd($kanyu)
	{
		$ty = date("Y");
		$tm = date("m");
		$td = date("d");
		$aDate = array(0,0,0,$tm,$td,$ty);
		$ky = floor($kanyu / 10000); //2003;
		$km = floor($kanyu / 100) - $ky * 100; //1;
		$kd = $kanyu - $ky*10000 - $km*100; //19; 
		$bDate = array(0,0,0,$km,$kd,$ky);
		//日付データをUNIXタイムスタンプに変換して、引き算
		$dateDiff = gmmktime($aDate['0'],$aDate['1'],$aDate['2'],$aDate['3'],$aDate['4'],$aDate['5'])
			- gmmktime($bDate['0'],$bDate['1'],$bDate['2'],$bDate['3'],$bDate['4'],$bDate['5']);
	
		//差が秒で出ているので日に変換する　60*60*24=86400
		//さらに当日も加えるために1日を加算する。
		$zaisekiday = ($dateDiff / 86400) + 1;
		return number_format($zaisekiday);	//3桁毎にコンマを入れる。
	}
}
?>